Bug 169125 - Silicom Ltd Dual / Double Serial Port PCMCIA card 2S100 does not work correctly
Silicom Ltd Dual / Double Serial Port PCMCIA card 2S100 does not work correctly
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pcmcia-cs (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 09:16 EDT by Tony McConnell
Modified: 2012-06-20 09:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony McConnell 2005-09-23 09:16:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Odd behaviour when a pcmcia serial port card is used.

When it's plugged in it is identified as:

dump_cis:
Socket 0:
  dev_info
    no_info
  funcid network_adapter
  lan_technology ARCnet
  vers_1 4.1, "Silicom Ltd.", "Double Serial Card", "2S100 1.00020702"
  config base 0x03f8 mask 0x0003 last_index 0x01
  cftable_entry 0x01 [default]
    [mwait]
    Vcc Vnom 5V Iavg 70mA
    timing wait 1500ns
    io 0x0000-0x000f [lines=4] [16bit]
    irq mask 0x9eb8 [level]
  manfid 0x0089, 0x0301

Showing /var/log/messages:
Sep 23 14:03:35 laptop2 kernel: ttyS4 at I/O 0x100 (irq = 3) is a 16550A
Sep 23 14:03:35 laptop2 kernel: ttyS5 at I/O 0x108 (irq = 3) is a 16550A

Using /dev/ttyS4 is fine. 

However, using /dev/ttyS5 causes the characters sent to come out of /dev/ttyS4 and NOT out of /dev/ttyS5!



Version-Release number of selected component (if applicable):
serial-cs

How reproducible:
Always

Steps to Reproduce:
1. Obtain a dual port serial pcmcia card
2. Plug into a PCMCIA slot
3. Attempt to use the serial ports.
  

Actual Results:  Use of /dev/ttyS4 or /dev/ttyS5 results in output always occuring on /dev/ttyS4.

Expected Results:  Use of /dev/ttyS4 should cause output on /dev/ttyS4. Use of /dev/ttyS5 should cause output on /dev/ttyS5.

Additional info:

This problem also exhibits on Redhat 9.0
Comment 1 Pete Zaitcev 2006-09-20 22:45:36 EDT
No, I've got no clue about the reason either.
Maybe it lies about its port bases somehow, so decodes impoperly.
I wonder what Windows says about the resultant port bases.
Comment 2 Jiri Pallich 2012-06-20 09:33:38 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.